<?php

if (!defined('ABSPATH')) {
    exit;
} // Exit if accessed directly
if (!defined('__DIR__')) {
    define('__DIR__', dirname(__FILE__));
}

?>

    <h3><?php _e('Expay', 'wc_expay_language'); ?></h3>
    <div id="wc-expay-admin">
        <a href="https://expay.asia/"><img style="vertical-align:middle;"
                                           src="https://www.expay.asia/i/logo.png" border="0"
                                           alt="Expay - easier way to pay online!"/></a>

        <div id="expay_baseline">
            <div class="navbar">
                <ul class="nav">
                    <li><a href="https://expay.asia/" title="API">Expay</a></li>
                    <li><a href="https://expay.asia/en/api.html" title="API">API</a></li>
                    <li><a href="https://expay.asia/en/methods.html" title="Payment methods">Payment methods</a>
                    </li>
                    <li class="last"><a href="https://expay.asia/en/contacts.html" title="Contact info">Contact
                            info</a></li>
                </ul>
            </div>

        </div>
        <div id="expay_help_main1">
            <ul class="nav">

            </ul>
        </div>
        <div id="expay_help_main2">
        </div>

        <div id="expay_help_div">
            <iframe name="myex_iframe" id="myex_iframe" style="display: none"></iframe>
        </div>
        <p></p>
    </div>

<?php if ($this->is_valid_for_use()) : ?>
    <table class="form-table">
        <th>
            <?php _e('Setting service electronic payments Expay.', 'wc_expay_language'); ?>
        </th>

        <?php
        // Generate the HTML For the settings form.

        if (!empty($_REQUEST['woocommerce_Expay_order_num'])) {
            echo '<p style="background-color: SpringGreen;"><b>Order number was changed to ' . $_REQUEST['woocommerce_Expay_order_num'] . '<b></p>';
        }
        $this->generate_settings_html();
        echo '<script language="JavaScript">
		function clear_value_expay_order()
		{
			document.getElementById("woocommerce_Expay_order_num").value ="";
		}
 	</script>';
        wc_enqueue_js('clear_value_expay_order();');

        ?>
    </table><!--/.form-table-->
    <?php
    echo '<table><th align=left>Logs:</th><tr><td><br><pre>';
    if ('yes' == $this->get_option('debug')) {
        if (file_exists(__DIR__ . DIRECTORY_SEPARATOR . self::$error_file)) {
            try {
                $file = file_get_contents(__DIR__ . DIRECTORY_SEPARATOR . self::$error_file);
                if ($file) {
                    echo $file;
                }
            } catch (ExpayException $e) {
                echo 'Error, file not open.';//$e->getMessage();
            }
        }
    } else {
        $f_err = @fopen(realpath(dirname(__FILE__)) . DIRECTORY_SEPARATOR . self::$error_file, 'w+');
        fclose($f_err);
    }
    echo '</pre></td></tr></table>';
else : ?>
    <div class="inline error"><p>
            <strong><?php _e('Gateway switch off',
                    'wc_expay_language'); ?></strong>: <?php _e('Expay does not support the currency of your store.',
                'wc_expay_language'); ?>
        </p></div>
<?php
endif;
